oracle.xml.parser.v2

## Class BinaryParser

- java.lang.Object
- - oracle.xml.parser.v2.XMLParser
  - - oracle.xml.parser.v2.BinaryParser

    public class BinaryParser
    extends XMLParser

### Field Summary

Fields
`static int` `BINARY_RESULT_ID` Attribute IDs for Binary configuration BINARY_RESULT_ID -- binary storage, value can be OutputStream, File or Blob PAGE_MANAGER_ID -- value must be a PageManager ELEMENT_INDEXING_ID - Indexing or not, value is a Boolean.
`static int` `ELEMENT_INDEXING_ID`
`static int` `PAGE_MANAGER_ID`

### Fields inherited from class oracle.xml.parser.v2.XMLParser

`BASE_URL, BASE_URL_ID, CONTENT_MODEL_DETERMINISTIC, DEFAULT_ENTITY_EXPANSION_DEPTH, DEFAULT_ENTITY_EXPANSION_DEPTH_SECURE, DTD_OBJECT, DTD_OBJECT_ID, ENTITY_EXPANSION_DEPTH, ENTITY_EXPANSION_DEPTH_ID, EXPAND_ENTITYREF, EXPAND_ENTITYREF_ID, IGNORE_DUPLICATE_ID, PARSER, PARSER_CDATA, PARSER_DTD, RESOLVE_ENTITY_DEFAULT, RESOLVE_ENTITY_DEFAULT_ID, SCHEMA_LANGUAGE, SCHEMA_LANGUAGE_ID, SCHEMA_OBJECT, SCHEMA_OBJECT_ID, SCHEMA_SOURCE, SCHEMA_SOURCE_ID, STANDALONE, STANDALONE_ID, USE_DTD_ONLY_FOR_VALIDATION, USE_DTD_ONLY_FOR_VALIDATION_ID, XDK_ATTRIBUTE_ENTITY_EXPANSION_COUNT_LIMIT, XDK_ATTRIBUTE_ENTITY_EXPANSION_COUNT_LIMIT_DEFAULT, XDK_ATTRIBUTE_ENTITY_EXPANSION_COUNT_LIMIT_ID, XDK_ATTRIBUTE_ENTITY_EXPANSION_COUNT_LIMIT_SECURE, XDK_FEATURE_ALLOW_ILLEGAL_UTF8_ENCODING, XDK_FEATURE_ALLOW_ILLEGAL_UTF8_ENCODING_ID, XDK_FEATURE_CONTENT_MODEL_DETERMINISTIC, XDK_FEATURE_CONTENT_MODEL_DETERMINISTIC_ID`

### Constructor Summary

Constructors
Constructor and Description
`BinaryParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BinaryStream` `getBinaryStream()`
`void` `setAttribute(int id, java.lang.Object value)` Allows the user to set specific attributes on the underlying implementation.
`void` `setBinaryStream(BinaryStream stream)`

### Methods inherited from class oracle.xml.parser.v2.XMLParser

`getAttribute, getBaseURL, getDebugMode, getEntityResolver, getErrorHandler, getReleaseVersion, getValidationMode, getValidationModeValue, getXDKDefaultEncoding, getXMLProperty, isXMLPropertyReadOnly, isXMLPropertySupported, parse, parse, parse, parse, parse, reset, setAttribute, setBaseURL, setDoctype, setEntityResolver, setErrorHandler, setLocale, setPreserveWhitespace, setSchemaValidationMode, setSchemaValidatorProperty, setSecureProcessing, setValidationMode, setValidationMode, setXMLProperty, setXMLSchema`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BINARY_RESULT_ID

    public static final int BINARY_RESULT_ID

Attribute IDs for Binary configuration BINARY_RESULT_ID -- binary storage, value can be OutputStream, File or Blob PAGE_MANAGER_ID -- value must be a PageManager ELEMENT_INDEXING_ID - Indexing or not, value is a Boolean.

See Also:
  Constant Field Values

#### PAGE_MANAGER_ID

    public static final int PAGE_MANAGER_ID

See Also:
  Constant Field Values

#### ELEMENT_INDEXING_ID

    public static final int ELEMENT_INDEXING_ID

See Also:
  Constant Field Values

### Constructor Detail

#### BinaryParser

    public BinaryParser()

### Method Detail

#### setBinaryStream

    public void setBinaryStream(BinaryStream stream)
                         throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### getBinaryStream

    public BinaryStream getBinaryStream()

#### setAttribute

    public void setAttribute(int id,
                             java.lang.Object value)
                      throws java.lang.IllegalArgumentException

Allows the user to set specific attributes on the underlying implementation.

Overrides:
  `setAttribute` in class `XMLParser`
Parameters:
  `id` - The id of the attribute.
  `value` - The value of the attribute.
Throws:
  `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the attribute.

Copyright © 2003, 2020, Oracle and/or its affiliates.